package analyzer;

/**
 * Class that extends from Error to provide a better report of what the error was
 * @author Sergio Alcocer
 */
public class LexicalError extends Error {

	private static final long serialVersionUID = 1L;
	private char source;
	private int row;
	private int column;
	/**
	 * @param source character that generated the error
	 * @param row row in which it can be found
	 * @param column column in which it can be found
	 */
	public LexicalError(char source, int row, int column) {
		this.source = source;
		this.row = row;
		this.column = column;
	}
	
	/**
	 * @return string with the error
	 */
	public String toString() {
		return "Lexical Error: character "+source+" [Row "+row+", Column "+column+"]\n";
	}
}
