package ast;

/** 
 * Super Class of Attributes, Class and Method
 * @author Sergio Alcocer
 *
 */
public class Elem {
	public static int PUBLIC = 0;
	public static int PRIVATE = 1;
	
	public static int T_ATTRIBUTE = 0;
	public static int T_CLASS = 1;
	public static int T_METHOD = 2;
	
	protected String name;
	protected int access;
	protected int type;
	
	
	protected Elem(int _type){
		type = _type;
	}
	
	/**
	 * Sets the name of the Element
	 * @param _name name to be set
	 */
	public void setName(String _name){
		name = _name;
	}
	
	/**
	 * Sets the access of the Element
	 * @param _access access to be set
	 */
	public void setAccess(int _access){
		access = _access;
	}
	
	/**
	 * Gets the Type of the Element
	 * @return type of the Element
	 */
	public int getType(){
		return type;
	}
	
	/**
	 * Gets the Access of the Element
	 * @return access of the Element
	 */
	public int getAccess(){
		return access;
	}
	
	/**
	 * Gets the name of the Element
	 * @return name of the Element
	 */
	public String getName(){
		return name;
	}
}
