package ast;

import java.util.ArrayList;

/**
 * Class that stores information about the Class declared in the file, the package and the imports used
 * @author Sergio Alcocer
 *
 */
public class File {
	public Class fileclass;
	private String pack;
	private ArrayList<String> imports;
	
	/**
	 * Constructor of the class
	 */
	public File(){
		imports = new ArrayList<String>();
		fileclass = new ast.Class();
	}
	
	/**
	 * Sets the package of the File
	 * @param _package package
	 */
	public void setPackage(String _package){
		pack = _package;
	}
	
	/**
	 * Adds an Import to the list of imports
	 * @param _source import to be added
	 */
	public void addImport(String _source){
		imports.add(_source);
	}
	
	/**
	 * Gets the package of the class
	 * @return package of the class
	 */
	public String getPackage(){
		return pack;
	}
	
	/**
	 * Gets the imports of the class
	 * @return ArrayList<String> of the class 
	 */
	public ArrayList<String> getImports(){
		return imports;
	}
	
}
