package filters;

/**
 * Class that implements a Configuration File filter
 * Inherits from Filter
 * @author Sergio Alcocer
 */
public class ConfigFilter extends Filter {
	private static ConfigFilter self;
	
	public ConfigFilter(){
		super("cfg","Config Files");
	}

	/**
	 * @return Following Singleton's pattern, a single instance of the class 
	 */
	public static ConfigFilter getInstance(){
		if(self == null){
			self = new ConfigFilter();
		}
		return self;
	}
}