package filters;

import java.io.File;

import javax.swing.filechooser.FileFilter;
/**
 * Class Used to inherit from it to create the file filters.
 * @author Sergio Alcocer
 *
 */
public class Filter  extends FileFilter {
	private String extension; 
	private String description;
	protected Filter(String _extension, String _description){
		extension = _extension;
		description = _description;
	}
	
	/**
	 * @param arg0 File to check visibility
	 * @return true if the file passes the test
	 */
	public boolean accept(File arg0) {
		String fileName = arg0.getName();
		if(arg0.isDirectory()) return true;
		else{
			return compareExt(fileName,extension);
		}
	}
	/**
	 * @return String with the description to show in the filter list 
	 */
	public String getDescription() {
		return new String(description + " (*." + extension + ")");
	}
	
	/**
	 * Given a filename and an extension, return if they matches
	 * @param _fullName filename
	 * @param _extension extension
	 * @return true if they match, false otherwise
	 */
	public static boolean compareExt(String _fullName, String _extension){
		int position = _fullName.lastIndexOf('.');
		if (position != -1){
			return _fullName.substring(position+1, _fullName.length()).equalsIgnoreCase(_extension);
		}else{
			return false;
		}
	}

}
