package generator;

/**
 * Super class from where Assert and Custom classes extends. Stores the final code of the instruction
 * @author Sergio Alcocer
 */
public class Instruction {
	public final static int T_ASSERT = 0;
	public final static int T_CUSTOM = 1;
	
	protected String code;
	private int type;

	protected Instruction(int _type){
		type = _type;
	}
	
	/**
	 * Gets the final code of the instruction
	 * @return final code of the instructino
	 */
	public String getCode(){
		return code;
	}
	
	/**
	 * Gets the type of the instruction  (Assert or Custom)
	 * @return type of the instruction
	 */
	public int getType(){
		return type;
	}
}
